org.jboss.jca.as.converters.wls.metadata

## Class OutboundResourceAdapterImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.OutboundResourceAdapterImpl

- All Implemented Interfaces:
    java.io.Serializable, OutboundResourceAdapter, WlsMetadata

      public class OutboundResourceAdapterImpl
      extends java.lang.Object
      implements OutboundResourceAdapter

  A generic OutboundResourceAdapter.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.OutboundResourceAdapter

      `OutboundResourceAdapter.Attribute, OutboundResourceAdapter.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundResourceAdapterImpl(ConnectionDefinitionProperties cdProps, java.util.List<ConnectionDefinition> cds)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ConnectionDefinition>` | `getConnectionDefinitionGroup()` getConnectionDefinitionGroup
    `ConnectionDefinitionProperties` | `getDefaultConnectionProperties()` getDefaultConnectionProperties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundResourceAdapterImpl

          public OutboundResourceAdapterImpl(ConnectionDefinitionProperties cdProps,
                                             java.util.List<ConnectionDefinition> cds)

      constructor
      Parameters:
        `cdProps` - ConnectionDefinitionProperties
        `cds` - List

  - ### Method Detail

    - #### getDefaultConnectionProperties

          public ConnectionDefinitionProperties getDefaultConnectionProperties()

      Description copied from interface: `OutboundResourceAdapter`
      getDefaultConnectionProperties
      Specified by:
        `getDefaultConnectionProperties` in interface `OutboundResourceAdapter`
      Returns:
        the ConnectionDefinitionProperties

    - #### getConnectionDefinitionGroup

          public java.util.List<ConnectionDefinition> getConnectionDefinitionGroup()

      Description copied from interface: `OutboundResourceAdapter`
      getConnectionDefinitionGroup
      Specified by:
        `getConnectionDefinitionGroup` in interface `OutboundResourceAdapter`
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)